Package org.apache.synapse.mediators.bsf

# Class JavaScriptXmlHelper

java.lang.Object
org.apache.bsf.xml.XMLHelper
org.apache.bsf.xml.DefaultXMLHelper
org.apache.synapse.mediators.bsf.JavaScriptXmlHelper

@Deprecated public class JavaScriptXmlHelper extends org.apache.bsf.xml.DefaultXMLHelper
Deprecated.
This class will provide the operation to getPayloadXML and setPayload of CommonScriptMessageContext to convert between XML and ScriptXML object since there is an api change in rhino17,This class is provided instead of getting Helper class by XMLHelper.getArgHelper(engine) in bsf

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axiom.om.OMElement`
  `toOMElement(Object scriptXML)`
  Deprecated.
  This method will convert the message payload in to xml
  `Object`
  `toScriptXML(org.apache.axiom.om.OMElement omElement)`
  Deprecated.
  This method will convert the message payload in to ScriptXML Object

  ### Methods inherited from class org.apache.bsf.xml.DefaultXMLHelper

  `toDOMNode, toScriptXML, toScriptXML, toXMLStreamReader`

  ### Methods inherited from class org.apache.bsf.xml.XMLHelper

  `getArgHelper, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(Object scriptXML) throws ScriptException
    Deprecated.
    This method will convert the message payload in to xml
    Overrides:
      `toOMElement` in class `org.apache.bsf.xml.DefaultXMLHelper`
    Parameters:
      `scriptXML` - from java script Scriptable
    Returns:
      XML content as OMElement wrapped in Scriptable object
    Throws:
      `ScriptException` - when error

  - ### toScriptXML

    public Object toScriptXML(org.apache.axiom.om.OMElement omElement) throws ScriptException
    Deprecated.
    This method will convert the message payload in to ScriptXML Object
    Overrides:
      `toScriptXML` in class `org.apache.bsf.xml.DefaultXMLHelper`
    Parameters:
      `omElement` -
    Returns:
      Scriptable object by adding the xml content
    Throws:
      `ScriptException` - when error